package com.search.lucene.indexers.abstractions;

import org.apache.lucene.index.CorruptIndexException;

import java.io.FileFilter;
import java.io.IOException;

public interface IFileIndexer {
    int createIndex(String dataDirectoryPath) throws IOException;
    void close() throws CorruptIndexException, IOException;
}
